% Estimates Open water resistance, and calculates prediction error using
% cross- validation
function Row_model = OpenWaterResistance(noice,M,time)

%% Calculate resistance for open water condition
ResNoIce=ResistanceCalc(noice,M,time);
% close all
% keyboard
% clc
%% Remove zero speed entries and resistance outliers
j=2;
% tmp=size(ResNoIce);
for i=1:size(ResNoIce,1)
    
    if ResNoIce(i,3)>0.15||ResNoIce(i,4)>700
        tmp(j,:)=ResNoIce(i,:);
        j=j+1;
    end
end
% tmp(j-1:i,:)=[]; 
tmp(1,:)=[0 0 0 0];

%% Plot remaining entries against vessel speed
% scatter(tmp(:,3) ,tmp(:,4))

%% higher order linear regression
test=2:2:size(tmp,1); %select observation to be used to test the regression
xtest=tmp(test,3); ytest=tmp(test,4);

x=tmp(:,3); y=tmp(:,4);
x(test)=[]; y(test)=[];% remove the test observarion s
xplot=0:.1:max(x);
Row_model=polyfitn(x,y, ' v^2');% perform regression
f2=polyvaln(Row_model,xplot);

%% Compare model with test opbservations
yhat=polyvaln(Row_model,xtest);
r=(ytest-yhat);
RMSE=sqrt(mean(r.^2));
%% Plot data points and calculated regression line
a=figure('Name','Open Water Resistance','NumberTitle','off'); 
% subplot('Position',[.1 .3 .8 .6])
hold on
plot(x,y,'b.','MarkerSize',5);%regression data
plot(xtest,ytest,'r.','MarkerSize',5);% test data

plot(xplot,f2,'b-')
legend('Data points for regression','Data points for test of regression','Regression line','Location','NorthWest')
xlabel('Vessel Speed [m/s]')
ylabel('Resistance [kN]')
axis([0 4 0 500])
% subplot('Position',[.1 0 .8 .2])
% set(gca,'YTick',[]) 
% set(gca,'XTick',[])
% str={['Resistance= ',num2str(Row_model.Coefficients),'*v^',num2str(Row_model.ModelTerms),' [kN]'],['R^2=',num2str(Row_model.R2)]};
text(.15,320,{['Resistance = ',num2str(Row_model.Coefficients(1)),'*v^',num2str(Row_model.ModelTerms(1)),' [kN]'],...
    ['R^2 = ',num2str(Row_model.R2,'%11.3g'),'[-]'],...
    ['RMSE calculated from regression data = ',num2str(Row_model.RMSE,'%11.4g'),'[kN]'],...
    ['RMSE calculated from test data = ',num2str(RMSE,'%11.4g'),'[kN]']...   
    })

% keyboard 
%% Plot 95 % confidence interval
%  b=figure('Name','Open Water Resistance incl 95% confidence intervals','NumberTitle','off'); 
% % subplot('Position',[.1 .3 .8 .6])
% hold on
% plot(x,y,'b.','MarkerSize',5);%regression data
% plot(xtest,ytest,'r.','MarkerSize',5);% test data
% 
% plot(xplot,f2,'b-')
% legend('Data points for regression','Data points for test of regression','Regression line','Location','NorthWest')
% xlabel('Vessel Speed [m/s]')
% ylabel('Resistance [kN]')

%% Print result to screen
% fprintf('\nData from Open water resistance calculation: \n')
% fprintf('Resistance = %g *v^%i [kN] \n',Row_model.Coefficients,Row_model.ModelTerms)
% fprintf('R^2 = %5.3g [-]\n',Row_model.R2)
% fprintf('Root Mean Square Error calculated from regression data = %6.3f [kN]\n',Row_model.RMSE)
% fprintf('Root Mean Square Error calculated from test data = %6.3f [kN]\n',RMSE)
%% Save results
saveas(a,'Plots\OpenWaterResistance.emf');
save('OpenWaterResistance.mat','Row_model'); 
% axis([0 5 0 600])
% keyboard   
