   %calculates the resistance as a function of speed in knots

function [res label] = ResistanceCalc (data,M,time,label)
res=zeros(length(data),4);
j=1;
%for all measurements i
for i=1:size(data,1)-1;
    % Control of continousity
%     if data(i+1,1)-data(i,1)<time*1.5/(24*3600)%control of continuity
        %resistance estimation based on thrust and speed for this measurement
        v=[data(i,16) data(i,17) data(i,5)]*1852/3600;% v1 v2 v_avg [m/s]
        w_thrust=(data(i,13)+data(i,14))*0.9;%total integrated power
%         dt=(data(i+1,1)-data(i,1))*24*3600;% time between measurements [s]
        ds=data(i,15);%distance=integrated speed
        W=w_thrust-.5*M*(v(2)^2-v(1)^2);%work from conservation of energy
        R=W/ds;%average resistance
        res(j,:)=[data(i,1) data(i,3) v(3) R];%Matlab time, ice thickness, avg speed, resistance [kN]
        j=j+1;
%     end
end
res(j+1:i,:)=[];
label.res={'Matlab time', 'ice thickness', 'avg speed', 'resistance [kN]'};
%     keyboard


% %
% function res = ResistanceCalc (data,M,time)
% res=zeros(length(data),4);    
% j=1;
% %for all measurements i
% for i=1:size(data,1)-1;
%     % Control of continousity
%     if data(i+1,1)-data(i,1)<time*1.5/(24*3600)%less than given time between measurements
%         %resistance estimation based on thrust and speed for this and next
%         %measurement
%         v=[data(i,5) data(i+1,5) (data(i,5)+data(i+1,5))/2];% speed in knots:*1852/3600;%v1 v2 v_avg [m/s]
%         p=[data(i,9)+data(i,11) data(i+1,9)+data(i+1,11)]; %Pwr1 Pwr2
%         dt=(data(i+1,1)-data(i,1))*24*3600;% time between measurements
%         ds=v(3)*dt;%distance=avg speed*time
%         W=(p(1)+p(2))/2*dt+.5*M*(v(1)^2-v(2)^2);%work from conservation of energy
%         R=W/ds;%average resistance
%         res(j,:)=[data(i,1) data(i,3) v(3) R];%Matlab time, ice thickness, avg speed, resistance
%         j=j+1;
%     end
% end
% res(j+1:i,:)=[];
% %     keyboard