function createFit(ratio,RegParam,root)
% ratio=RegOut.ratio;
t=ratio(:,2);l=ratio(:,3);r=ratio(:,4);
%CREATEFIT Create plot of data sets and fits
%   CREATEFIT(T,L,R)
%   Creates a plot, similar to the plot in the main Curve Fitting Tool,
%   using the data that you provide as input.  You can
%   use this function with the same data you used with CFTOOL
%   or with different data.  You may want to edit the function to
%   customize the code and this help message.
%
%   Number of data sets:  2
%   Number of fits:  4

% Data from data set "Lindqvist ratio":
%     X = t:
%     Y = l:
%     Unweighted

% Data from data set "Riska Ratio":
%     X = t:
%     Y = r:
%     Unweighted

% Auto-generated by MATLAB on 03-Jun-2011 15:18:27

pos=plotvar;
%% Lindqvist

% Set up figure to receive data sets and fits

f_=figure('Name','Lindqvist ratio plotted against ice thickness, with fits','NumberTitle','off');
set(f_,'Units','Pixels','OuterPosition',pos{1}*.8);
% Line handles and text for the legend.
legh_ = [];
legt_ = {};
% Limits of the x-axis.
xlim_ = [Inf -Inf];
% Axes for the plot.
ax_ = axes;
set(ax_,'Units','normalized','OuterPosition',[0 0 1 1]);
set(ax_,'Box','on');
axes(ax_);
hold on;

% --- Plot data that was originally in data set "Lindqvist ratio"
t = t(:);
l = l(:);
h_ = line(t,l,'Parent',ax_,'Color','b',...
    'LineStyle','none', 'LineWidth',1,...
    'Marker','x', 'MarkerSize',5);
xlim_(1) = min(xlim_(1),min(t));
xlim_(2) = max(xlim_(2),max(t));
legh_(end+1) = h_;
legt_{end+1} = 'Lindqvist ratio';

%% Nudge axis limits beyond data limits
if all(isfinite(xlim_))
    xlim_ = xlim_ + [-1 1] * 0.01 * diff(xlim_);
    set(ax_,'XLim',xlim_)
else
    set(ax_, 'XLim',[0.23395894027673594, 3.9769464242355372]);
end

%% Apply exclusion rule "lower boundary lindqvist"
if length(t)~=182
    error( 'GenerateMFile:IncompatibleExclusionRule',...
        'Exclusion rule ''%s'' is incompatible with ''%s''.',...
        'lower boundary lindqvist', 't' );
end
ex_ = true(length(t),1);
ex_([1 3 5 6 10 11 (16:18) 42 43 48 (84:87) 89 (91:93) 102 (105:109) (111:115) 117 118 123 131]) = 0;
ok_ = isfinite(t) & isfinite(l);
if ~all( ok_ )
    warning( 'GenerateMFile:IgnoringNansAndInfs',...
        'Ignoring NaNs and Infs in data.' );
end
st_ = [0.25195717050125371 -1.2044931414251419 0.010333066582307949 ];
ft_ = fittype('power2');

% Fit this model using new data
if sum(~ex_(ok_))<2
    % Too many points excluded.
    error( 'GenerateMFile:NotEnoughDataAfterExclusionRule',...
        'Not enough data left to fit ''%s'' after applying exclusion rule ''%s''.',...
        'Lindqvist lower bound', 'lower boundary lindqvist' );
else
    LindqvLower = fit(t(ok_),l(ok_),ft_,'Startpoint',st_,'Exclude',ex_(ok_));
end
% Alternatively uncomment the following lines to use coefficients from the
% original fit. You can use this choice to plot the original fit against new
% data.
%    cv_ = { 0.26467889906746012, -1.2116289389748449, -0.016386927956173667};
%    cf_ = cfit(ft_,cv_{:});

% Plot this fit
h_ = plot(LindqvLower,'fit',0.95);
set(h_(1),'Color','r',...
    'LineStyle','-', 'LineWidth',1,...
    'Marker','none', 'MarkerSize',6);
% Turn off legend created by plot method.
legend off;
% Store line handle and fit name for legend.
legh_(end+1) = h_(1);
legt_{end+1} = 'Lindqvist lower bound';
disp('Equation for Lindqvist lower bound:'),disp(LindqvLower)
%%
st_ = [0.39568415600935902 -0.95556570261149343 -0.026242332394590548 ];
ft_ = fittype('power2');

% Fit this model using new data
[cf_ gof opt] = fit(t(ok_),l(ok_),ft_,'Startpoint',st_);
% Alternatively uncomment the following lines to use coefficients from the
% original fit. You can use this choice to plot the original fit against new
% data.
%    cv_ = { 0.15416204776920167, -1.4252410300528466, 0.22708167047574976};
%    cf_ = cfit(ft_,cv_{:});

% Plot this fit
h_ = plot(cf_,'fit',0.95);
set(h_(1),'Color',[0.333333 0.333333 0.333333],...
    'LineStyle','-', 'LineWidth',2,...
    'Marker','none', 'MarkerSize',6);
% % Turn off legend created by plot method.
% legend off;
% % Store line handle and fit name for legend.
% legh_(end+1) = h_(1);
% legt_{end+1} = 'Lindqvist fit';
ylabel(ax_,'Lindqvist ratio');
hold off;
% Display legend
leginfo_ = {'Orientation', 'vertical', 'Location', 'NorthEast'};
h_ = legend(ax_,legh_,legt_,leginfo_{:});
set(h_,'Interpreter','none');
% Remove labels from x- and y-axes.
xlabel(ax_,'Ice thickness [m]');
axis([0 2.7 0 1.2])
title('Lindqvist ratio plotted against ice thickness incl lower bound')
if RegParam.save==true
    path=[root,'ratios\'];
    if isempty(dir(path));
        mkdir(path)
    end
    saveas(f_,[path,'Lindqvist ratio vs iceth incl lower bound.emf'])
end
%% Riska
% Set up figure to receive data sets and fits

f_=figure('Name','Riska ratio plotted against ice thickness, with fits','NumberTitle','off' );

set(f_,'Units','Pixels','OuterPosition',pos{2}*.8);
% Line handles and text for the legend.
legh_ = [];
legt_ = {};
% Limits of the x-axis.
xlim_ = [Inf -Inf];
% Axes for the plot.
ax_ = axes;
set(ax_,'Units','normalized','OuterPosition',[0 0 1 1]);
set(ax_,'Box','on');
axes(ax_);
hold on;

% --- Plot data that was originally in data set "Riska Ratio"
r = r(:);
h_ = line(t,r,'Parent',ax_,'Color','b',...
    'LineStyle','none', 'LineWidth',1,...
    'Marker','x', 'MarkerSize',5);
xlim_(1) = min(xlim_(1),min(t));
xlim_(2) = max(xlim_(2),max(t));
legh_(end+1) = h_;
legt_{end+1} = 'Riska Ratio';

% Nudge axis limits beyond data limits
if all(isfinite(xlim_))
    xlim_ = xlim_ + [-1 1] * 0.01 * diff(xlim_);
    set(ax_,'XLim',xlim_)
else
    set(ax_, 'XLim',[0.23395894027673594, 3.9769464242355372]);
end

% Apply exclusion rule "lower boundary Riska"
if length(t)~=182
    error( 'GenerateMFile:IncompatibleExclusionRule',...
        'Exclusion rule ''%s'' is incompatible with ''%s''.',...
        'lower boundary Riska', 't' );
end
ex_ = true(length(t),1);
ex_([1 (3:6) 11 (15:18) 42 43 86 89 91 92 (105:109) 111 112 114 115 118 123 131]) = 0;
ok_ = isfinite(t) & isfinite(r);
if ~all( ok_ )
    warning( 'GenerateMFile:IgnoringNansAndInfs',...
        'Ignoring NaNs and Infs in data.' );
end
st_ = [0.25097989483116206 -0.70467547297304944 0.013376535725331358 ];
ft_ = fittype('power2');

% Fit this model using new data
if sum(~ex_(ok_))<2
    % Too many points excluded.
    error( 'GenerateMFile:NotEnoughDataAfterExclusionRule',...
        'Not enough data left to fit ''%s'' after applying exclusion rule ''%s''.',...
        'Riska Lower bound', 'lower boundary Riska' );
else
    RiskaLower = fit(t(ok_),r(ok_),ft_,'Startpoint',st_,'Exclude',ex_(ok_));
end
% Alternatively uncomment the following lines to use coefficients from the
% original fit. You can use this choice to plot the original fit against new
% data.
%    cv_ = { 0.42814838401817951, -0.52374955603755513, -0.1685908220676306};
%    cf_ = cfit(ft_,cv_{:});

% Plot this fit
h_ = plot(RiskaLower,'fit',0.95);
set(h_(1),'Color','r',...
    'LineStyle','-', 'LineWidth',1,...
    'Marker','none', 'MarkerSize',6);
% Turn off legend created by plot method.
legend off;
% Store line handle and fit name for legend.
legh_(end+1) = h_(1);
legt_{end+1} = 'Riska Lower bound';
disp('Equation for Riska lower bound:')
disp(RiskaLower)

% % --- Create fit "Riska fit"
% ok_ = isfinite(t) & isfinite(r);
% if ~all( ok_ )
%     warning( 'GenerateMFile:IgnoringNansAndInfs',...
%         'Ignoring NaNs and Infs in data.' );
% end
% st_ = [0.39568415600935902 -0.95556570261149343 ];
% ft_ = fittype('power1');
% 
% % Fit this model using new data
% cf_ = fit(t(ok_),r(ok_),ft_,'Startpoint',st_);
% % Alternatively uncomment the following lines to use coefficients from the
% % original fit. You can use this choice to plot the original fit against new
% % data.
% %    cv_ = { 0.41680826405113153, -0.28647517175218384};
% %    cf_ = cfit(ft_,cv_{:});
% 
% % Plot this fit
% h_ = plot(cf_,'fit',0.95);
% set(h_(1),'Color',[0.666667 0.333333 0],...
%     'LineStyle','-', 'LineWidth',2,...
%     'Marker','none', 'MarkerSize',6);
% % Turn off legend created by plot method.
% legend off;
% % Store line handle and fit name for legend.
% legh_(end+1) = h_(1);
% legt_{end+1} = 'Riska fit';
ylabel(ax_,'Riska Ratio');
hold off;
% Display legend
leginfo_ = {'Orientation', 'vertical', 'Location', 'NorthEast'};
h_ = legend(ax_,legh_,legt_,leginfo_{:});
set(h_,'Interpreter','none');
% Remove labels from x- and y-axes.
xlabel(ax_,'Ice thickness [m]');
title('Riska ratio plotted against ice thickness incl lower bound')

axis([0 2.7 0 1.2])
if RegParam.save==true
    path=[root,'Ratios\'];
    if isempty(dir(path));
        mkdir(path)
    end
    saveas(f_,[path,'Riska ratio vs iceth incl lower bound.emf'])
end





