% function [fitresult, gof] = createSurfaceFit1(Speed, IceThickness, RiskaRatio)
%CREATESURFACEFIT1(SPEED,ICETHICKNESS,RISKARATIO)
%  Fit surface to data.
%
%  Data for 'Riska 2nd order' fit:
%      X Input : Speed
%      Y Input : IceThickness
%      Z Output: RiskaRatio
%  Output:
%      fitresult : an sfit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, SFIT.

%  Auto-generated by MATLAB on 28-Apr-2011 11:33:37


%% Fit: 'Riska 2nd order'.
[xInput, yInput, zOutput] = prepareSurfaceData( Speed, IceThickness, RiskaRatio );

% Set up fittype and options.
ft = fittype( 'poly22' );
opts = fitoptions( ft );
opts.Lower = [-Inf -Inf -Inf -Inf -Inf -Inf];
opts.Upper = [Inf Inf Inf Inf Inf Inf];

% Fit model to data.
[fitresult, gof] = fit( [xInput, yInput], zOutput, ft, opts );

% Plot fit with data.
figure( 'Name', 'Riska 2nd order' );
h = plot( fitresult, [xInput, yInput], zOutput );
legend( h, 'Riska 2^{nd} order', 'RiskaRatio vs. Speed, IceThickness', 'Location', 'SO' );
% Label axes
xlabel( 'Speed' );
ylabel( 'IceThickness' );
zlabel( 'RiskaRatio' );
grid on
axis([0 4 0 3 -2 6])
view( 67.5, 8 );


