% -------------------- Keinonen`s method ------------------------------
% ------- (angles in degrees, length in SI, resistance in kN) ---------

function keinon=keinonen(t,sigma,phi_b,T,B,Lpp,H,v)  

%constants
%t=-10;
C_h=1;
C_s=1;
psi=32;
sigma=sigma*1e-3;
g=9.81; %[m/s^2] Acceleration of gravity



% Size factor
F_si=C_s*C_h*B^0.7*Lpp^0.2*T^0.1;

% Shape factor
F_sh=(1+0.0018*(90-psi)^1.6)*(1+0.003*(phi_b-5)^1.5);

% Ice factor
F_i=(1-0.0083*(t+30))*(0.63+(0.00074*sigma))*H^1.5;

% Speed factor
R_speed=(0.009*v/(g*Lpp)^0.5)*B^1.5*T^0.5*H*(1+0.0018*(90-psi)^1.4 )*(1+0.003*(phi_b-5)^1.5 )*(1-0.0083*(t+30))*C_h;

% Speed dependency eq (7)
keinon=(0.015*(F_si*F_sh*F_i)*1000)+R_speed*1000;
