% Define plot usage variables
% p=plotvar returns a cell array p vith 5 screen positions, where the first
% 4 uses quadrant definitons from trigonometry
%(1 is upper right, the rest follows counterclockwise). Position 5 is almost
% fullscreen. [p lst] = plotvar returns a struct lst containing the fields
% col, style and marker, containing a set of available line styles
function [p varargout]=plotvar()
scrsz = get(0,'ScreenSize');

%define position set for plots, 
p={[scrsz(3)/2 scrsz(4)/2 scrsz(3)/2 scrsz(4)/2] , [1 scrsz(4)/2 scrsz(3)/2 scrsz(4)/2],...
    [1 scrsz(4)/20 scrsz(3)/2 scrsz(4)/2-scrsz(4)/20],[scrsz(3)/2 scrsz(4)/20 scrsz(3)/2 scrsz(4)/2-scrsz(4)/20],...
    [scrsz(4)/20 scrsz(4)/20 scrsz(3)*.7 scrsz(4)*.7]};
if nargout>=1
    lst.col={[0         0        1.0000];...
             [0        0.5000         0];...
             [1.0000        0         0];...
             [     0    0.7500    0.7500];...
             [0.7500         0    0.7500];...
             [0.7500    0.7500         0];...
             [0.2500    0.2500    0.2500]};
         lst.style={'-' , '-- ', ' -.' ,':' , 'none'};
         lst.marker={'+','o','*','.','x','square','diamond','^','v','>','<','pentagram' ,'hexagram' };
end
varargout{1}=lst;
if nargout>2
    warning('additional outputs ignored')
    varargout{2:nargout}=[];
end

