% [h SSR]=probresiduals(structname,method)
% Takes the argumet structname, and plots residuals from probability plots 
% and returns line handle h and the average squared residuals SSE. Argument
% method indicates if the residuals comes from a new probability plot or
% from fitting of new distribution line in existing probability plot
% Needs modified probplot to work:
% line 80: insert global structname;
% line 178: insert structname.linefun=linefun;
% line 278: insert global structname; structname.mainy=q; structname.mainx=x; 
% line 492: insert global structname; structname.fity=fx;structname.fitx=x;
function [h SSR]=probresiduals(T,method)
% %reproduce the probability plot for control
% figure;semilogx(T.xdata,T.ydata,'.')
% hold on;
% plot(T.xdata,T.linefun(T.xdata))
% Plot residuals on normalized axis
% h2=figure;
T.mainx=T.xdata;
T.mainy=T.ydata;
switch method
    case 'new'
        h=plot(T.mainx,T.mainy-T.linefun(T.mainx));
        SSR=sum((T.mainy-T.linefun(T.mainx)).^2)/length(T.mainx);
        set(gca,'XScale','log', 'NextPlot' , 'replacechildren')
        hold on
    case 'line'
        residual=T.mainy-interp1(T.fitx,T.fity,T.mainx);
        h=plot(T.mainx,residual);
        SSR=sum(residual.^2)/length(T.mainx);
        set(gca,'XScale','log', 'NextPlot' , 'replacechildren')
        hold on
end
% xmin=min(T.xdata)*.90;
% xmax=max(T.xdata)*1.1;
% xlim([xmin xmax])
% plot([xmin xmax],[0 0],'r')