
function [] =tablegenerator(sort,SpeedThres,ThickThres,S,T,RegParam)
% create row and column labels
rowtitle=cell(S,1);coltitle=cell(1,T);
for s=1:S
    rowtitle{s}=['V =[',num2str(SpeedThres(s),'%4.1f'),',',num2str(SpeedThres(s+1),'%4.1f'),']'];
end
for t=1:T
    coltitle{t}=['h =[',num2str(ThickThres(t),'%4.1f'),',',num2str(ThickThres(t+1),'%4.1f'),']'];
end
%% do calculations/ extract data
% for s=1:S
%     for t=1:T
%         if size(sort.ratios{s,t},1)>RegParam.MinObs %stat data exist
%         lognR{s,t}=sort.logn.Rdist{s,t}(2,:);
%         lognL{s,t}=sort.logn.Ldist{s,t}(2,:);
%         wblchiR{s,t}=sort.Weibull.Rdist{s,t}(1,:);
%         wblchiL{s,t}=sort.Weibull.Ldist{s,t}(1,:);
%         end
%     end
% end
fprintf('\n################################################################################################################\n')
fprintf('########################     Results from statistical fitting of divided data     ##############################\n')
fprintf('################################################################################################################\n\n')


%% Number of observations in each subgroup
nobs=cellfun(@(matrix) size(matrix,1),sort.ratios);
fprintf('\nNumber of obervations in each subgroup:\n              ')
fprintf('\t|%s',coltitle{1:T})
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
for s=1:S
    fprintf('\n%s\t',rowtitle{s})
    for t=1:T
        fprintf('|    %u      \t',nobs(s,t))
    end
end
fprintf('\n')

fprintf('\n########################################## LogNormal data ######################################################\n')

%% Chi2 lognormal
%riska
fprintf('Riska ratio fitted to Lognormal distribution Chi-square test results (Reject hypothesis - P-value)  \nP-value = NaN indicates test error (to few degrees of freedom)\n              ')
fprintf('\t|%s',coltitle{1:T})
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
for s=1:S
    fprintf('\n%s\t',rowtitle{s})
    for t=1:T
        if ~isempty(sort.logn.Rdist{s,t})            
            fprintf('| %i\t - %-7.5f \t',sort.logn.Rdist{s,t}(1,:))
        else
            fprintf('|To few\tpoints\t')
        end
    end
end
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
fprintf('\n')

%lingqvist

fprintf('\nLindqvist ratio fitted to Lognormal distribution Chi-square test results (Reject hypothesis - P-value)  \nP-value = NaN indicates test error (to few degrees of freedom)\n              ')
fprintf('\t|%s',coltitle{1:T})
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
for s=1:S
    fprintf('\n%s\t',rowtitle{s})
    for t=1:T
        if ~isempty(sort.logn.Rdist{s,t})            
            fprintf('| %i\t - %-7.5f \t',sort.logn.Ldist{s,t}(1,:))
        else
            fprintf('|To few\tpoints\t')
        end
    end
end
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
fprintf('\n')

%Keinonen
fprintf('Keinonen ratio fitted to Lognormal distribution Chi-square test results (Reject hypothesis - P-value)  \nP-value = NaN indicates test error (to few degrees of freedom)\n              ')
fprintf('\t|%s',coltitle{1:T})
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
for s=1:S
    fprintf('\n%s\t',rowtitle{s})
    for t=1:T
        if ~isempty(sort.logn.Kdist{s,t})            
            fprintf('| %i\t - %-7.5f \t',sort.logn.Kdist{s,t}(1,:))
        else
            fprintf('|To few\tpoints\t')
        end
    end
end
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
fprintf('\n')
%% Lognormal values
% Riska
fprintf('\nMu and Sigma for Riska ratio fitted to LogNormal distribution:\n              ')
fprintf('\t|%s',coltitle{1:T})
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
for s=1:S
    fprintf('\n%s\t',rowtitle{s})
    for t=1:T
        if ~isempty(sort.logn.Rdist{s,t})%not empty
            fprintf('|%5.2f\t%5.2f\t',sort.logn.Rdist{s,t}(2,:))            
        else 
            fprintf('|To few\tpoints\t')
        end
    end
end
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
fprintf('\n')

%Lindqvist
fprintf('\nMu and Sigma for Lindqvist ratio fitted to LogNormal distribution:\n              ')
fprintf('\t|%s',coltitle{1:T})
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
for s=1:S
    fprintf('\n%s\t',rowtitle{s})
    for t=1:T
        if ~isempty(sort.logn.Ldist{s,t})%not empty
            fprintf('|%5.2f\t%5.2f\t',sort.logn.Ldist{s,t}(2,:))            
        else 
            fprintf('|To few\tpoints\t')
        end
    end
end
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
fprintf('\n')

% Keinonen
fprintf('\nMu and Sigma for Keinonen ratio fitted to LogNormal distribution:\n              ')
fprintf('\t|%s',coltitle{1:T})
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
for s=1:S
    fprintf('\n%s\t',rowtitle{s})
    for t=1:T
        if ~isempty(sort.logn.Kdist{s,t})%not empty
            fprintf('|%5.2f\t%5.2f\t',sort.logn.Kdist{s,t}(2,:))            
        else 
            fprintf('|To few\tpoints\t')
        end
    end
end
fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
fprintf('\n')


%% weibull chi2



if isfield(RegParam,'distr')
    if strcmpi(RegParam.distr,'Weibull')||strcmpi(RegParam.distr,'wbl')
        fprintf('\n########################################## Weibull data  #######################################################\n')
        %Riska
        fprintf('Riska ratio fitted to Weibull distribution Chi-square test results (Reject hypothesis - P-value)  \nP-value = NaN indicates test error (to few degrees of freedom)\n              ')
        fprintf('\t|%s',coltitle{1:T})
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        for s=1:S
            fprintf('\n%s\t',rowtitle{s})
            for t=1:T
                if ~isempty(sort.logn.Rdist{s,t})
                    fprintf('| %i\t - %-7.5f \t',sort.Weibull.Rdist{s,t}(1,:))
                else
                    fprintf('|To few\tpoints\t')
                end
            end
        end
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        fprintf('\n')
        
        %Lindqvist
        fprintf('\nLindqvist ratio fitted to Weibull distribution Chi-square test results (Reject hypothesis - P-value)  \nP-value = NaN indicates test error (to few degrees of freedom)\n              ')
        fprintf('\t|%s',coltitle{1:T})
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        for s=1:S
            fprintf('\n%s\t',rowtitle{s})
            for t=1:T
                if ~isempty(sort.logn.Rdist{s,t})
                    fprintf('| %i\t - %-7.5f \t',sort.Weibull.Ldist{s,t}(1,:))
                else
                    fprintf('|To few\tpoints\t')
                end
            end
        end
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        fprintf('\n')
        
        %Keinonen
        fprintf('Keinonen ratio fitted to Weibull distribution Chi-square test results (Reject hypothesis - P-value)  \nP-value = NaN indicates test error (to few degrees of freedom)\n              ')
        fprintf('\t|%s',coltitle{1:T})
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        for s=1:S
            fprintf('\n%s\t',rowtitle{s})
            for t=1:T
                if ~isempty(sort.logn.Kdist{s,t})
                    fprintf('| %i\t - %-7.5f \t',sort.Weibull.Kdist{s,t}(1,:))
                else
                    fprintf('|To few\tpoints\t')
                end
            end
        end
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        fprintf('\n')
        
        
        %% Weibull parameters
        %Riska
        fprintf('\nWeibull parameters a and b for Riska ratio fitted to Weibull distribution:\n              ')
        fprintf('\t|%s',coltitle{1:T})
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        for s=1:S
            fprintf('\n%s\t',rowtitle{s})
            for t=1:T
                if ~isempty(sort.logn.Rdist{s,t})%not empty
                    fprintf('|%5.2f\t%5.2f\t',sort.Weibull.Rdist{s,t}(2,:))
                else
                    fprintf('|To few\tpoints\t')
                end
            end
        end
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        fprintf('\n')
        
        %Lindqvist
        fprintf('\nWeibull parameters a and b for Lindqvist ratio fitted to Weibull distribution:\n              ')
        fprintf('\t|%s',coltitle{1:T})
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        for s=1:S
            fprintf('\n%s\t',rowtitle{s})
            for t=1:T
                if ~isempty(sort.logn.Ldist{s,t})%not empty
                    fprintf('|%5.2f\t%5.2f\t',sort.Weibull.Ldist{s,t}(2,:))
                else
                    fprintf('|To few\tpoints\t')
                end
            end
        end
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        fprintf('\n')
        
         %Keinonen
        fprintf('\nWeibull parameters a and b for Keinonen ratio fitted to Weibull distribution:\n              ')
        fprintf('\t|%s',coltitle{1:T})
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        for s=1:S
            fprintf('\n%s\t',rowtitle{s})
            for t=1:T
                if ~isempty(sort.logn.Kdist{s,t})%not empty
                    fprintf('|%5.2f\t%5.2f\t',sort.Weibull.Kdist{s,t}(2,:))
                else
                    fprintf('|To few\tpoints\t')
                end
            end
        end
        fprintf('\n----------------|---------------|---------------|---------------|---------------|---------------|---------------')
        fprintf('\n')
    else 
        fprintf('\n################################################################################################################\n')
        fprintf('      Unable to generate table output. All generated statistical data is found in "RegOut.sort"\n')
    end
end