
function [ratio,RegParam, NewPath]=timeplot(ratio,label,RegParam)
a=figure('Name','Riska, Lindqvist and Keinonen ratios and Selected paramters as function of sampling time','OuterPosition',[50 50 1200 1200],'NumberTitle','off');
startdate=floor(ratio(1,6));
enddate=ceil(max(ratio(:,6)));

h=subplot(5,1,1);
p=get(h,'pos');
p(4)=p(4)*1.2;
set(h,'pos',p)
plot(ratio(:,6),ratio(:,3),'mx','MarkerSize',3)
ylim([0 6])
set(gca,'Xtick',startdate:.5:enddate,'XtickLabel',[])
ylabel({'Lindqvist Ratio';''},'FontSize',14)
grid on

h=subplot(5,1,2);
p=get(h,'pos');
p(4)=p(4)*1.2;
set(h,'pos',p)
plot(ratio(:,6),ratio(:,4),'x','MarkerSize',3)
ylim([0 6])
set(gca,'Xtick',startdate:.5:enddate,'XtickLabel',[])
ylabel({'Riska Ratio';''},'FontSize',14)
grid on

h=subplot(5,1,3);
p=get(h,'pos');
p(4)=p(4)*1.2;
set(h,'pos',p)
plot(ratio(:,6),ratio(:,5),'gx','MarkerSize',3)
ylim([0 6])
set(gca,'Xtick',startdate:.5:enddate,'XtickLabel',[])
ylabel({'Keinonen Ratio';''},'FontSize',14)
grid on

h=subplot(5,1,4);
p=get(h,'pos');
p(4)=p(4)*1.2;
set(h,'pos',p)
plot(ratio(:,6),ratio(:,1),'rx','MarkerSize',3)
set(gca,'Xtick',startdate:.5:enddate,'XtickLabel',[])
ylabel({label.ratio{1};''},'FontSize',14)
ylim([0 4])
grid on

h=subplot(5,1,5);
p=get(h,'pos');
p(4)=p(4)*1.2;
set(h,'pos',p)
plot(ratio(:,6),ratio(:,2),'kx','MarkerSize',3)
set(gca,'Xtick',startdate:.5:enddate)
hLb=ylabel({label.ratio{2};''},'FontSize',14);
ylim([0 2.5])
grid on

datetick('x','dd-mmm-yy HH:MM','keepticks')
xticklabel_rotate([],25)
set(h,'pos',p)

% mtit('Lindqvist and Riska Ratio, speed and thickness as funciton of time','FontSize',14)
if RegParam.save==true
    path='Plots\Time dependancy\';
    if isempty(dir(path))
        mkdir(path)
    end
    filename='Selected parameters as function of sampling time.emf';
    A4(a)
    print(a,'-dmeta','-r100',[path,filename])
end

%% do refined analysis of selected time series?
NewPath='';
if (input('\nPerform refined analysis of data between spesific dates? (Yes=1)'))==1
    start=datenum(input('Start time (dd-mmm-yy hh:mm or equivalent matlab date format): ','s'));
    stop=datenum(input('End time: ','s'));    
    ratio(ratio(:,5)<start,:)=[];%remove points before starting point    
    ratio(ratio(:,5)>stop,:)=[]; %remove points after end point
    NewPath=['Refined analysis\',datestr(start,'dd-mmm-yyyy HH.MM'),' - ',datestr(stop,'dd-mmm-yyyy HH.MM'),'\'];
    if input('Keyboard control to modify regresion parameters? (Yes=1): ')==1    
        disp('Existing values in "RegParam"'),disp(RegParam)
        keyboard
    else
        fprintf('\n')
    end
end
